Name: sendmail
Version: 8.9.3
Release: 10kr
Summary: sendmail mail transport agent and with virtual user
Copyright: BSD
Group: Networking/Daemons
Provides: smtpdaemon
Source0: ftp://ftp.cs.berkeley.edu/ucb/sendmail/sendmail.%{version}.tar.gz
Source1: sendmail.init
Source2: aliases
Source3: procmailrc   
Source4: README.access
Source5: README.virtuser
Source6: sendmail.sysconfig
Source7: makemap.sh
Patch0: sendmail-8.9.3-misc.patch
Patch1: sendmail-8.9.3-cf.patch
Patch2: sendmail-8.7.1-smrsh.patch
Patch3: sendmail-8.8.7-rmail.patch
Patch4: sendmail-8.7.1-makemapman.patch
Patch5: sendmail-8.9.3-smrsh.patch
Patch6: sendmail-8.9.3-db1.patch
Buildroot: /var/tmp/sendmail-root
Prereq: /sbin/chkconfig
Requires: procmail

%changelog
* Sat May  1 1999 JoungKyun Kim <admin@oops.kr.net>
- added makemap.sh for virtusertable.db and acess.db
- added db1.patch
- /etc/sysconfig/sendmail
- removed genericstable
- removed translations de, fr, tr

* Sat Feb  9 1999 JoungKyun Kim <admin@oops.kr.net>
- added virtualuser table in 8.9.3
- added genericstable in 8.9.3

* Tue Feb  9 1999 Byeong-Chan Kim <redhands@linux.sarang.net>
- updated to 8.9.3
- removed mailertable

* Sat Jan 30 1999 JoungKyun Kim <admin@oops.kr.net>
- added virtualuser table in 8.9.2

* Sat Jan  2 1999 Byeong-Chan Kim <redhands@linux.sarang.net>
- updated to 8.9.2

* Fri Dec 18 1998 Byeong-Chan Kim <redhands@linux.sarang.net>
- added MAP_REGEX for anti-spamming

* Thu Aug 13 1998 Byeong-Chan, Kim <redhands@linux.sarang.net>
- updated to 8.9.1a (security patch)

* Fri Jul 24 1998 Byeong-Chan Kim <redhands@linux.sarang.net>
- updated to 8.9.1

* Sun May 31 1998 Byeong-Chan Kim <redhands@linux.sarang.net>
- updated to 8.8.8
- added procmailrc for korean users
- added mailertable

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat May 02 1998 Cristian Gafton <gafton@redhat.com>
- enhanced initscripts

* Fri May 01 1998 Cristian Gafton <gafton@redhat.com>
- added a rmail patch

* Wed Oct 29 1997 Donnie Barnes <djb@redhat.com>
- argh!  Fixed some of the db1 handling that had to be added for glibc 2.1

* Fri Oct 24 1997 Donnie Barnes <djb@redhat.com>
- added support for db1 on SPARC

* Thu Oct 16 1997 Donnie Barnes <djb@redhat.com>
- added chkconfig support
- various spec file cleanups
- changed group to Networking/Daemons (from Daemons).  Sure, it runs on
  non networked systems, but who really *needs* it then?

* Wed Oct 08 1997 Donnie Barnes <djb@redhat.com>
- made /etc/mail/deny.db a ghost
- removed preun that used to remove deny.db (ghost handles that now)
- NOTE: upgrading from the sendmail packages in 4.8, 4.8.1, and possibly
  4.9 (all Red Hat betas between 4.2 and 5.0) could cause problems.  You
  may need to do a makemap in /etc/mail and a newaliases after upgrading
  from those packages.  Upgrading from 4.2 or prior should be fine.

* Mon Oct 06 1997 Erik Troan <ewt@redhat.com>
- made aliases.db a ghost

* Tue Sep 23 1997 Donnie Barnes <djb@redhat.com>
- fixed preuninstall script to handle aliases.db on upgrades properly

* Mon Sep 15 1997 Donnie Barnes <djb@redhat.com>
- fixed post-install output and changed /var/spool/mqueue to 755

* Thu Sep 11 1997 Donnie Barnes <djb@redhat.com>
- fixed /usr/lib/sendmail-cf paths

* Tue Sep 09 1997 Donnie Barnes <djb@redhat.com>
- updated to 8.8.7
- added some spam filtration
- combined some makefile patches
- added BuildRoot support

* Wed Sep 03 1997 Erik Troan <ewt@redhat.com>
- marked initscript symlinks as missingok
- run newalises after creating /var/spool/mqueue

* Thu Jun 12 1997 Erik Troan <ewt@redhat.com>
- built against glibc, udated release to -6 (skipped -5!)

* Tue Apr 01 1997 Erik Troan <ewt@redhat.com>
- Added -nsl on the Alpha (for glibc to provide NIS functions).

* Mon Mar 03 1997 Erik Troan <ewt@redhat.com>
- Added nis support.

%description
Sendmail is a Mail Transport Agent, which is the program
that moves mail from one machine to another.  Sendmail implements a
general internetwork mail routing facility, featuring aliasing and
forwarding, automatic routing to network gateways, and flexible
configuration.

If you need the ability to send and receive mail via the internet
you'll need sendmail.

%package doc
Summary: sendmail documentation
Group: Daemons

%description doc
This package includes release notes, the sendmail FAQ, and a few
papers written about sendmail.  The papers are available in PostScript
and troff.

%package cf
Summary: sendmail configuration files and m4 macros
Group: Daemons

%description cf
This package contains all the configuration files used to generate
the sendmail.cf file distributed with the base sendmail package.
You'll want this package if you need to reconfigure and rebuild
your sendmail.cf file.  For example, the default sendmail.cf is
not configured for UUCP.  If you need to send and receive mail
over UUCP, you may need this package to help you reconfigure sendmail.

%prep
%setup -q

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
if [ -f /usr/lib/libdb1.so ] ; then
%patch6 -p1
fi

%build
make

cd cf/cf
m4 redhat.mc > redhat.cf

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/etc/{smrsh,sysconfig}
mkdir -p $RPM_BUILD_ROOT/usr/{bin,lib,sbin}
mkdir -p $RPM_BUILD_ROOT/usr/man/man{1,5,8}
mkdir -p $RPM_BUILD_ROOT/var/{log,spool}

make DESTDIR=$RPM_BUILD_ROOT install

# install rmail
(cd rmail; sh ./Build DESTDIR=$RPM_BUILD_ROOT force-install)

# install docs by hand
mkdir -p $RPM_BUILD_ROOT/usr/doc/sendmail-%{version}
cp -ar FAQ KNOWNBUGS README RELEASE_NOTES LICENSE doc \
       $RPM_BUILD_ROOT/usr/doc/sendmail-%{version}
cp -ar smrsh/README \
       $RPM_BUILD_ROOT/usr/doc/sendmail-%{version}/README.smrsh

# install the cf files
install -d $RPM_BUILD_ROOT/usr/lib/sendmail-cf
cp -ar cf/* $RPM_BUILD_ROOT/usr/lib/sendmail-cf

install -m644 cf/cf/redhat.cf $RPM_BUILD_ROOT/etc/sendmail.cf

echo "# sendmail.cw - include all aliases for your machine here." > \
     $RPM_BUILD_ROOT/etc/sendmail.cw

ln -sf ../sbin/sendmail $RPM_BUILD_ROOT/usr/lib/sendmail

# make mqueue
install -d -m 755 -g mail -o root $RPM_BUILD_ROOT/var/spool/mqueue

mkdir -p $RPM_BUILD_ROOT/etc/mail
install -m644 %{SOURCE4} $RPM_BUILD_ROOT/etc/mail/access
install -m644 %{SOURCE5} $RPM_BUILD_ROOT/etc/mail/virtusertable

for map in virtusertable access
  do
    touch $RPM_BUILD_ROOT/etc/mail/${map}.db
    chmod 0644 $RPM_BUILD_ROOT/etc/mail/${map}.db
  done

install -m700 %{SOURCE7} $RPM_BUILD_ROOT/etc/mail/makemap.sh

install -m644 %{SOURCE2} $RPM_BUILD_ROOT/etc/aliases
install -m644 %{SOURCE3} $RPM_BUILD_ROOT/etc/procmailrc   

touch $RPM_BUILD_ROOT/etc/aliases.db
chown root.mail $RPM_BUILD_ROOT/etc/aliases.db
chmod 644 $RPM_BUILD_ROOT/etc/aliases.db

install -m755 -g root -o root $RPM_SOURCE_DIR/sendmail.init \
        $RPM_BUILD_ROOT/etc/rc.d/init.d/sendmail
install -m644 %{SOURCE6} $RPM_BUILD_ROOT/etc/sysconfig/sendmail

%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/bin/newaliases > /dev/null
/usr/sbin/makemap hash /etc/mail/access < /etc/mail/access > /dev/null
/usr/sbin/makemap hash /etc/mail/virtusertable < /etc/mail/virtusertable > /dev/null
/sbin/chkconfig --add sendmail

%preun
if [ $1 = 0 ]; then
   /sbin/chkconfig --del sendmail
fi

%files
/usr/bin/purgestat
/usr/bin/hoststat
/usr/bin/mailq
/usr/bin/rmail
/usr/bin/newaliases
/usr/sbin/mailstats
#/usr/sbin/praliases
/usr/sbin/makemap
%attr(6755,root,mail)/usr/sbin/sendmail
/usr/sbin/smrsh
/usr/lib/sendmail
/etc/mail/makemap.sh

/usr/man/man8/mailstats.8  
/usr/man/man8/makemap.8    
#/usr/man/man8/praliases.8  
/usr/man/man8/rmail.8      
/usr/man/man8/sendmail.8   
/usr/man/man8/smrsh.8
/usr/man/man5/aliases.5
/usr/man/man1/mailq.1
/usr/man/man1/newaliases.1

/var/log/sendmail.st
/usr/lib/sendmail.hf
%config /etc/sendmail.cf
%config /etc/sendmail.cw
%config /etc/procmailrc
%config /etc/aliases
%ghost  /etc/aliases.db
%config /etc/mail/access
%ghost  /etc/mail/access.db
%config /etc/mail/virtusertable
%ghost  /etc/mail/virtusertable.db
%config /etc/sysconfig/sendmail
%dir /var/spool/mqueue
%dir /etc/smrsh
%dir /etc/mail

%config /etc/rc.d/init.d/sendmail

%files cf
/usr/lib/sendmail-cf

%files doc
/usr/doc/sendmail-%{version}
